##
## Makefile for corewar_vm in /CPE_2016_corewar/vm/
##
## Made by Fesquet David
## Login   <david.fesquet@epitech.eu>
##
## Started on  Wed Mar 22 16:44:21 2017 Fesquet David
## Last update Tue Mar 28 16:13:33 2017 Fesquet David
##

NAME		=	corewar

CC		=	gcc

RM		=	rm -f

SRCS		=	src/main.c 			\
			lib/src/is/is.c			\
			lib/src/nbr/my_getnbr.c		\
			lib/src/nbr/my_nbrlen.c		\
			lib/src/nbr/my_putnbr.c		\
			lib/src/str/get_next_line.c	\
			lib/src/str/merge_str.c		\
			lib/src/str/my_strcmp.c		\
			lib/src/str/my_putstr.c		\
			lib/src/str/my_strdup.c		\
			lib/src/str/str_end_by.c	\
			lib/src/str/str_to_wordtab.c	\
			lib/src/str/my_strlen.c		\
			src/init/count_champ.c		\
			src/init/get_champ.c		\
			src/init/get_dump.c		\
			src/init/get_opt_corewar.c	\
			src/init/set_head_champ.c	\
			src/reverse_bytes.c

OBJS		=	$(SRCS:.c=.o)

CFLAGS		=	-W -Wall -Werror -Wextra -I./include

all:			$(NAME)

$(NAME):		$(OBJS)
			$(CC) $(OBJS) -o $(NAME)

clean:
			$(RM) $(OBJS)

fclean:			clean
			$(RM) $(NAME)

re:			fclean all

rec:			fclean all
			$(RM) $(OBJS)
